Overview | Package | Class | Tree | Deprecated | Index | Help
| Portlet API 2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet
Interface PortletPage

public interface PortletPage

The `PortletPage` contains information about the currently visible page. Also, it is through the page that the portlet has to the personalized data.

Should the other pages of a user that also contain a particular portlet be accessible too?

Method Summary
`DynamicData` | `getData()` Returns the dynamic data that contains the user's personalized view of the portlet on this particular page.
`DynamicData` | `getData(String name)` Returns the dynamic data of a shared section with the given name.
`String` | `getName()` Returns the name of this page.

Method Detail

### getName

    public String getName()

  Returns the name of this page.
  Returns:
    the page name

### getData

    public DynamicData getData()

  Returns the dynamic data that contains the user's personalized view of the portlet on this particular page. The information is persistent between requests.

  If the portlet is run in HELP or CONFIGURE mode, the dynamic data is not accessible and this method will return `null`.

  Returns:
    the dynamic data
  See Also:
    `getData(String)`

### getData

    public DynamicData getData(String name)

  Returns the dynamic data of a shared section with the given name. A shared section allows user-specific data to be shared among the portlets of this page. A portlet needs to know the name of section to gain access. In addition, advanced implementations can restrict access to portlets have been previously authorized to access a certain shared section.

  If the portlet is run in HELP or CONFIGURE mode, the dynamic data is not accessible and this method will return `null`.

  Parameters:
    `name` - the name of the shared section
  Returns:
    the (shared) dynamic data
  See Also:
    `getData()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Portlet API 2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD